#!/bin/bash

######################################################
#                                                    #
# Weka4WS 2.1 build script                           #
# Copyright (C) 2005-2008 University of Calabria     #
# Dept. of Electronics, Computer Science and Systems #
#                                                    #
######################################################

if [ -z "${GLOBUS_LOCATION}" ]; then
    echo "ERROR: environment variable GLOBUS_LOCATION not defined" 1>&2
    return 1
fi

if [ ! -d "${GLOBUS_LOCATION}" ]; then
    echo "ERROR: invalid GLOBUS_LOCATION set: $GLOBUS_LOCATION" 1>&2
    return 1
fi

for i in ./weka4ws/service/lib/*.jar
do
  CLASSPATH=$CLASSPATH:"$i"
done

export CLASSPATH

./globus-build-service.sh weka4ws
