#!/bin/bash

######################################################
#                                                    #
# Weka4WS 2.1 deploy script                          #
# Copyright (C) 2005-2008 University of Calabria     #
# Dept. of Electronics, Computer Science and Systems #
#                                                    #
######################################################

if [ -z "${GLOBUS_LOCATION}" ]; then
    echo "ERROR: environment variable GLOBUS_LOCATION not defined" 1>&2
    return 1
fi

if [ ! -d "${GLOBUS_LOCATION}" ]; then
    echo "ERROR: invalid GLOBUS_LOCATION set: $GLOBUS_LOCATION" 1>&2
    return 1
fi

$GLOBUS_LOCATION/bin/globus-deploy-gar ./weka4ws_service.gar
