/*
 *  DataMiningConstants.java
 *  Copyright (C) 2007 University of Calabria
 *  Dept. of Electronics, Computer Science and Systems
 */

package weka4ws.service.impl;

import org.apache.log4j.Logger;

public interface DataMiningConstants {
    
    public static final short CROSS_VALIDATION = 1;

    public static final short PERCENTAGE_SPLIT = 2;

    public static final short TRAINING_SET = 3;

    public static final short TEST_SET = 4;
    
    public static final short CLASSES_TO_CLUSTERS = 5;
    
    /**
     * Name of the temporary storage directory
     */    
    public static final String TEMP_DIR = ".Weka4WS";
    
    /**
     *  Path of the grid-mapfile
     */
    public static final String GRIDMAPFILE = "/etc/grid-security/grid-mapfile";
    
    public static final Logger logger = Logger.getLogger(Weka4WSService.class);
    
}
