/*
 *  ServiceParameters.java
 *  Copyright (C) 2007 University of Calabria
 *  Dept. of Electronics, Computer Science and Systems
 */

package weka4ws.service.impl;

import weka4ws.stubs.service.Algorithm;
import weka4ws.stubs.service.Dataset;

/**
 * @author <a href="mailto:mlackovic@deis.unical.it">Marco Lackovic</a>
 */
public interface ServiceParameters {
    
    public long getTaskID();

    public Algorithm getAlgorithm();

    public Dataset getDataset();

    public boolean isLogging();

}
