/*
 *  Weka4WSQNames.java
 *  Copyright (C) 2005 University of Calabria
 *  Dept. of Electronics, Computer Science and Systems
 */

package weka4ws.service.impl;

import javax.xml.namespace.QName;

/** 
 * @author <a href="mailto:mlackovic@deis.unical.it">Marco Lackovic</a>
 * @version $Revision: 0.9 $
 */
public interface Weka4WSQNames {

    public static final String NAMESPACE = "http://grid.deis.unical.it/weka4ws/Weka4WSService";

    public static final QName RP_RESULT = new QName(NAMESPACE, "Result");

    public static final QName PLOTDATA2D = new QName(NAMESPACE, "PlotData2D");

    public static final QName RESULT_RESOURCE_PROPERTIES = new QName(NAMESPACE,
            "Weka4WSResourceProperties");

    // useless?
    public static final QName RESULT_RESOURCE_REFERENCE = new QName(NAMESPACE,
            "Weka4WSResourceReference"); 

}
