/*
 *  Weka4WSResourceHome.java
 *  Copyright (C) 2005 University of Calabria
 *  Dept. of Electronics, Computer Science and Systems
 */

package weka4ws.service.impl;

import org.globus.wsrf.ResourceKey;
import org.globus.wsrf.impl.ResourceHomeImpl;
import org.globus.wsrf.impl.SimpleResourceKey;

/** 
 * @author <a href="mailto:mlackovic@deis.unical.it">Marco Lackovic</a>
 */
public class Weka4WSResourceHome extends ResourceHomeImpl {

    public ResourceKey create() throws Exception {
        // create a resource
        Weka4WSResource wekaResource = (Weka4WSResource) createNewInstance();

        // initialize the resource
        wekaResource.initialize();

        // get the key
        ResourceKey key = new SimpleResourceKey(keyTypeName, wekaResource
                .getID());
        // add the resource to the list of resources in this home
        add(key, wekaResource);
        return key;
    }

}
